Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tapestry5.ioc.services.cron
Class IntervalSchedule

    java.lang.Object
      org.apache.tapestry5.ioc.services.cron.IntervalSchedule

All Implemented Interfaces:
  Schedule

    public class IntervalSchedule

extends java.lang.Object
implements Schedule

A very simple schedule, that simply executes the desired job at fixed intervals.

Since:
  5.3

Constructor Summary
`IntervalSchedule(long interval)` Interval at which the schedule should execute jobs.

Method Summary
`long` | `firstExecution()` For a newly created job, what is the start time for the job.
`long` | `nextExecution(long previousExecution)` Computes the next execution time for a job.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IntervalSchedule

    public IntervalSchedule(long interval)

  Interval at which the schedule should execute jobs. The first execution is delayed from current time by the interval as well.

  Parameters:
    `interval` - in milliseconds

Method Detail

### firstExecution

    public long firstExecution()

  Description copied from interface: `Schedule`
  For a newly created job, what is the start time for the job. Often, the current clock time is returned, to start a job as soon as possible.

  Specified by:
    `firstExecution` in interface `Schedule`
  Returns:
    start time for new job, in system clock millis

### nextExecution

    public long nextExecution(long previousExecution)

  Description copied from interface: `Schedule`
  Computes the next execution time for a job.

  Specified by:
    `nextExecution` in interface `Schedule`
  Parameters:
    `previousExecution` - time of previous execution (in system clock millis)
  Returns:
    time of next execution (in system clock millis)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2012 The Apache Software Foundation.